Subject: Linux/MIPS FAQ
From: Linux Hacker <[email-masked]>
Date: Wed, 31 Aug 1994 19:06:50 GMT
Newsgroups: comp.os.linux.announce

This is the first Linux/MIPS FAQ. If you can't find an answer
to your question here, please contact <[email-masked]>.

Q) What is "Linux/MIPS" ?

A) Linux/MIPS is a Linux port for computers equipped with
   Mips R4x00 processors. For further information, see below.

Q) Who is "Waldorf Electronics" ?

A) Waldorf Electronics is a small company in Germany, mainly
   building synthesizers and other things for the music market.
   Yes, this has normally nothing to do with Linux or Un*x
   in general.
   However, we at the R&D Department use both Mips and Linux/i486
   boxes for development and believe in the future of Linux,
   even in the music world. That's why we created this project.

Q) On what hardware will it run ?

A) The first target will be the Deskstation Tyne Board series.
   These boards support R4400PC and R4600 processors with speeds
   currently up to 133 MHz. The boards are equipped with up to
   2 Meg L2 Cache, 256 Meg main memory (PS/2 SIMMs) and have
   4 ISA plus 2 VLB slots.

   For further information about Tyne boards, please contact
   Deskstation Technology at 800-793-3375 (US only),
   001-913-599-1900 (international) or 0044-773-829-542 (Europe).

   Please note that all questions regarding Linux/MIPS
   should be directed to <[email-masked]>.

   The Linux/MIPS port will eventually later include other Mips
   systems, but there are no plans yet.

Q) Which parts of my old PC can I keep ?

A) Except the main board, everything :-)
   The Tyne boards fit into all standard PC cases and are
   happy with standard power supplies. Your keyboard will
   work too. If your disk drives will work too depends
   on your controller, but there should be no problem.
   You might have to buy new SIMMs, however.

Q) Which I/O cards will be supported ?

A) In theory, every standard ISA and VLB card. But since we
   don't have much experience yet, we cannot guarantee that
   just the cards *you* have will work too.

Q) Where can I get kernel patches ?

A) Since Mid-August the kernels distributed by Linus Torvalds
   include our latest changes. You can download them from
   most major Linux ftp sites.

Q) Any support/development tools available ?

A) Yes. We have a cross-compilation environment for Linux/i386
   which includes GCC, binutils and SPIM, a Mips R2000/R3000 simulator.
   Binaries and documentation are available from our ftp site
   (ftp.waldorf-gmbh.de) in the directory /pub/linux/mips.

Q) Is there a mailing list ?

A) Yes. We created a linux-activists channel called "mips".
   To subscribe to this list, send a message to
   <[email-masked]> with the
   command "X-Mn-Admin: join mips" as the first and only
   line.

Q) Can I help ?

A) Yes, if you're familiar with C, the Linux kernel and
   Mips processors your help is appreciated! Please
   feel free to contact us.

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.